<Project Sdk="Microsoft.NET.Sdk">



	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<NoWarn>1701;1702;1591</NoWarn>
		<DocumentationFile>YBEE.EQM.Core.xml</DocumentationFile>
	</PropertyGroup>



	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <DebugType>full</DebugType>
	</PropertyGroup>



	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <DebugType>full</DebugType>
	</PropertyGroup>


	<ItemGroup>
		<None Remove="YBEE.EQM.Core.xml" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="EFCore.NamingConventions" Version="7.0.2" />
		<PackageReference Include="Furion" Version="4.8.8.42" />
		<PackageReference Include="Furion.Extras.Authentication.JwtBearer" Version="4.8.8.42" />
		<PackageReference Include="Furion.Extras.Logging.Serilog" Version="4.8.8.42" />
		<PackageReference Include="Furion.Extras.ObjectMapper.Mapster" Version="4.8.8.42" />
		<PackageReference Include="NPOI" Version="2.6.1" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="7.0.0" />
		<PackageReference Include="UAParser" Version="3.1.47" />
		<PackageReference Include="Yitter.IdGenerator" Version="1.0.14" />
		<PackageReference Include="ZKWeb.System.Drawing" Version="4.0.1" />
	</ItemGroup>

</Project>
